<h2 class="ecl-u-type-heading-2 ecl-u-mt-xl">
  Store and notarise documents <i class="fas fa-link"></i>
</h2>
{{#if message}}
{{#if ok}}
<div id="myBox3" style="display: block;">
  <div role="alert" class="ecl-message ecl-message--success" data-ecl-message="true">
    <svg focusable="false" aria-hidden="true" class="ecl-message__icon ecl-icon ecl-icon--l">
      <use xlink:href="{{ PUBLIC_URL }}/images/icons.svg#notifications--success"></use>
    </svg>
    <div class="ecl-message__content">
      <div class="ecl-message__title">{{ message }}</div>
    </div>
  </div>
</div>
{{else}}
{{#unless verified}}
<div id="myBox2" style="display: block;">
  <div role="alert" class="ecl-message ecl-message--warning" data-ecl-message="true">
    <svg focusable="false" aria-hidden="true" class="ecl-message__icon ecl-icon ecl-icon--l">
      <use xlink:href="{{ PUBLIC_URL }}/images/icons.svg#notifications--warning"></use>
    </svg>
    <div class="ecl-message__content">
      <div class="ecl-message__title">{{ message }}</div>
    </div>
  </div>
</div>
{{/unless}}
{{/if}}
{{#if hash}}
<button class="ecl-button ecl-button--secondary ecl-u-mt-m" type="button" data-toggle="collapse"
  data-target="#collapseDetails" aria-expanded="false" aria-controls="collapseDetails">
  Details explorer
</button>
<div class="collapse" id="collapseDetails">
  <div class="ecl-u-bg-grey-5 ecl-u-pa-m">
    <dl class="ecl-description-list">
      <dt class="ecl-description-list__term">Document hash</dt>
      <dd class="ecl-description-list__definition">{{ hash }}</dd>
      <dt class="ecl-description-list__term">Transaction ID</dt>
      <dd class="ecl-description-list__definition">{{ transactionId }}</dd>
    </dl>
  </div>
</div>
{{#if notary}}
<h3 class="ecl-u-type-heading-3">Document ready to be notarised</h3>
<p class="ecl-u-type-paragraph">
  Check your
  <a class="ecl-link" href="{{ walletNotifications }}">
    wallet's notifications</a>
  and sign the transaction in order to finalise the notarisation
</p>
<p>
  (*) This means that this document is waiting for your signature through your
  wallet
</p>
{{else}}
<h3 class="ecl-u-type-heading-3">Not notarized</h3>
<p>(*) This means that something went wrong</p>
{{/if}}
<form action="{{ document }}" id="download_form1" method="post" enctype="application/x-www-form-url-encoded">
  <input name="hash" type="hidden" value="{{{hash}}}" />
  <button type="submit" class="ecl-button ecl-button--secondary" onclick="addjwt('download_form1');">
    Download
  </button>
</form>
{{else}}
<div id="myBox" style="display: none;">
  <div role="alert" class="ecl-message ecl-message--warning" data-ecl-message="true">
    <svg focusable="false" aria-hidden="true" class="ecl-message__icon ecl-icon ecl-icon--l">
      <use xlink:href="{{ PUBLIC_URL }}/images/icons.svg#notifications--warning"></use>
    </svg>
    <div class="ecl-message__content">
      <div class="ecl-message__title">File size exceeds 6 MB</div>
    </div>
  </div>
</div>
<div id="alertJwt" style="display: {{#if error}}{{#if notAuthenticated}}block{{else}}none{{/if}}{{else}}none{{/if}};">
  <div role="alert" class="ecl-message ecl-message--error" data-ecl-message="true">
    <svg focusable="false" aria-hidden="true" class="ecl-message__icon ecl-icon ecl-icon--l">
      <use xlink:href="{{ PUBLIC_URL }}/images/icons.svg#notifications--error"></use>
    </svg>
    <div class="ecl-message__content">
      <div class="ecl-message__title">Not authenticated</div>
      <p class="ecl-message__description">Please <a class="ecl-link" href="{{ wallet }}">log in with the wallet</a> if
        you want to notarise a new document.</p>
    </div>
  </div>
</div>
<noscript>
  <h3 class="ecl-u-type-heading-3">Form unavailable</h3>
  <p class="ecl-u-type-paragraph">You need to activate JavaScript in order to use the upload form.</p>
</noscript>
{{#unless notAuthenticated}}
<form action="{{ fileupload }}" method="post" enctype="multipart/form-data"
  class="ecl-u-mt-m ecl-u-bg-grey-5 ecl-u-pa-m ebsi-hidden-no-js" id="myFormId">
  <div class="ecl-form-group ecl-form-group--text-input">
    <label class="ecl-form-label" for="title-4">Document description</label>
    <input type="text" id="title-4" class="ecl-text-input ecl-text-input--m" required name="title" />
  </div>
  <div class="ecl-form-group ecl-form-group--file-upload ecl-u-mt-m">
    <label class="ecl-form-label" for="sampleFile-3">File</label>
    <input onchange="ValidateSize(this)" type="file" required name="sampleFile" id="sampleFile-3"
      class="ecl-file-upload" />
  </div>
  <button type="submit" class="ecl-button ecl-button--primary ecl-u-mt-m" onclick="addjwt('myFormId');">
    Submit
  </button>
</form>
{{/unless}}
{{/if}}
{{else}}
<div id="myBox" style="display: none;">
  <div role="alert" class="ecl-message ecl-message--warning" data-ecl-message="true">
    <svg focusable="false" aria-hidden="true" class="ecl-message__icon ecl-icon ecl-icon--l">
      <use xlink:href="{{ PUBLIC_URL }}/images/icons.svg#notifications--warning"></use>
    </svg>
    <div class="ecl-message__content">
      <div class="ecl-message__title">File size exceeds 6 MB</div>
    </div>
  </div>
</div>
<div id="alertJwt" style="display: {{#if error}}{{#if notAuthenticated}}block{{else}}none{{/if}}{{else}}none{{/if}};">
  <div role="alert" class="ecl-message ecl-message--error" data-ecl-message="true">
    <svg focusable="false" aria-hidden="true" class="ecl-message__icon ecl-icon ecl-icon--l">
      <use xlink:href="{{ PUBLIC_URL }}/images/icons.svg#notifications--error"></use>
    </svg>
    <div class="ecl-message__content">
      <div class="ecl-message__title">Not authenticated</div>
      <p class="ecl-message__description">Please <a class="ecl-link" href="{{ wallet }}">log in with the wallet</a> if
        you want to notarise a new document.</p>
    </div>
  </div>
</div>
<noscript>
  <h3 class="ecl-u-type-heading-3">Form unavailable</h3>
  <p class="ecl-u-type-paragraph">You need to activate JavaScript in order to use the upload form.</p>
</noscript>
{{#unless notAuthenticated}}
<form action="{{ fileupload }}" method="post" enctype="multipart/form-data"
  class="ecl-u-mt-m ecl-u-bg-grey-5 ecl-u-pa-m ebsi-hidden-no-js" id="myFormId">
  <div class="ecl-form-group ecl-form-group--text-input">
    <label class="ecl-form-label" for="title-2">Document description</label>
    <input type="text" id="title-2" class="ecl-text-input ecl-text-input--m" required name="title" />
  </div>
  <div class="ecl-form-group ecl-form-group--file-upload ecl-u-mt-m">
    <label class="ecl-form-label" for="sampleFile-4">File</label>
    <input onchange="ValidateSize(this)" type="file" required name="sampleFile" id="sampleFile-4"
      class="ecl-file-upload" />
  </div>
  <button type="submit" class="ecl-button ecl-button--primary ecl-u-mt-m" onclick="addjwt('myFormId');">
    Submit
  </button>
</form>
{{/unless}}
{{/if}}
<h2 class="ecl-u-type-heading-2 ecl-u-mt-xl">
  Verify a document's integrity through its notarised record
  <i class="fas fa-check-double"></i>
</h2>
{{#if verified}}
{{#if message}}
{{#unless ok}}
<div role="alert" class="ecl-message ecl-message--warning ecl-u-mb-m" data-ecl-message="true">
  <svg focusable="false" aria-hidden="true" class="ecl-message__icon ecl-icon ecl-icon--l">
    <use xlink:href="{{ PUBLIC_URL }}/images/icons.svg#notifications--warning"></use>
  </svg>
  <div class="ecl-message__content">
    <div class="ecl-message__title">{{ message }}</div>
  </div>
</div>
{{/unless}}
{{/if}}
{{#if signed}}
{{#if waiting}}
<div role="alert" class="ecl-message ecl-message--success" data-ecl-message="true">
  <div class="ecl-message__content">
    <div class="ecl-message__title">
      <i class="fas fa-spinner fa-spin"></i> Please wait a few seconds,
      notarisation process is running...
    </div>
  </div>
</div>
<script type="text/javascript" src="{{ PUBLIC_URL }}/javascripts/loading.js"></script>
{{else}}
<div role="alert" class="ecl-message ecl-message--success" data-ecl-message="true">
  <i class="fas fa-check-circle fa_custom fa-2x"></i>
  <div class="ecl-message__content">
    <div class="ecl-message__title">
      &nbsp; File signed, notarised in the ledger
    </div>
    <style type="text/css">
      .fa_custom {
        color: #467a39;
      }
    </style>
  </div>
</div>
<button class="ecl-button ecl-button--secondary ecl-u-mt-m" type="button" data-toggle="collapse"
  data-target="#collapseInfo" aria-expanded="false" aria-controls="collapseInfo">
  Details explorer
</button>
<form action="{{ document }}" method="post" enctype="application/x-www-form-url-encoded" id="download_form2"
  class="ecl-u-mt-m ecl-u-bg-grey-5 ecl-u-pa-m">
  <input name="hash" type="hidden" value="{{{info.hash}}}" />
  <button type="submit" class="ecl-button ecl-button--secondary" onclick="addjwt('download_form2');">
    Download
  </button>
</form>
<div class="collapse" id="collapseInfo">
  <div class="ecl-u-bg-grey-5 ecl-u-pa-m">
    <dl class="ecl-description-list">
      <dt class="ecl-description-list__term">Document hash</dt>
      <dd class="ecl-description-list__definition">{{ info.hash }}</dd>
      {{#if info.timestamp}}
      <dt class="ecl-description-list__term">Timestamp</dt>
      <dd class="ecl-description-list__definition">{{ info.timestamp }}</dd>
      {{/if}}
      <dt class="ecl-description-list__term">Registered by</dt>
      <dd class="ecl-description-list__definition">
        {{ info.registeredBy }}
      </dd>
      {{#if info.ledgerHash}}
      <dt class="ecl-description-list__term">Ledger Hash</dt>
      <dd class="ecl-description-list__definition">
        <a class="ecl-link ecl-link--standalone"
          href="{{ APP_URL }}besu-explorer/tx/{{{info.ledgerHash}}}">{{ info.ledgerHash }}</a>
      </dd>
      {{/if}}
    </dl>
  </div>
  <p>(*) make sure the signature is the same</p>
</div>
{{/if}}
{{else}}
{{#if waiting}}
<div role="alert" class="ecl-message ecl-message--success" data-ecl-message="true">
  <div class="ecl-message__content">
    <div class="ecl-message__title">
      <i class="fas fa-spinner fa-spin"></i> Please wait a few seconds,
      notarisation process is running...
    </div>
  </div>
</div>
<script type="text/javascript" src="{{ PUBLIC_URL }}/javascripts/loading.js"></script>
{{else}}
<div role="alert" class="ecl-message ecl-message--warning" data-ecl-message="true">
  <svg focusable="false" aria-hidden="true" class="ecl-message__icon ecl-icon ecl-icon--l">
    <use xlink:href="{{ PUBLIC_URL }}/images/icons.svg#notifications--warning"></use>
  </svg>
  <div class="ecl-message__content">
    <div class="ecl-message__title">
      No registration could be found for this document
    </div>
    <p class="ecl-message__description">
      Please check in your
      <a class="ecl-link" href="{{ walletNotifications }}">
        wallet's notifications</a>
      if this document is not waiting for your signature<br /><br />- OR -<br /><br />Store
      the document
    </p>
  </div>
</div>
{{/if}}
{{/if}}
<br /><br />
<p class="ecl-u-type-paragraph ecl-u-mt-m">Check another document</p>
<form action="{{ verify }}" method="post" enctype="application/x-www-form-urlencoded"
  class="ecl-u-mt-m ecl-u-bg-grey-5 ecl-u-pa-m" id="myFormIdVerifyFromDocHash">
  <div class="ecl-form-group ecl-form-group--text-input">
    <label class="ecl-form-label" for="title-1">Use document hash</label>
    <input type="text" id="title-1" class="ecl-text-input ecl-text-input--m" required name="docHash" />
  </div>
  <button type="submit" class="ecl-button ecl-button--primary ecl-u-mt-m"
    onclick="addjwt('myFormIdVerifyFromDocHash');">
    Submit
  </button>
</form>
<p class="ecl-u-type-paragraph ecl-u-mt-m">or</p>
<form action="{{ verifyfile }}" method="post" enctype="multipart/form-data"
  class="ecl-u-mt-m ecl-u-bg-grey-5 ecl-u-pa-m" id="myFormId1">
  <div class="ecl-form-group ecl-form-group--file-upload">
    <label class="ecl-form-label" for="sampleFile-1">Use document file</label>
    <input onchange="ValidateSize(this)" type="file" name="sampleFile" id="sampleFile-1" class="ecl-file-upload" />
  </div>
  <button type="submit" class="ecl-button ecl-button--primary ecl-u-mt-m" onclick="addjwt('myFormId1');">
    Submit
  </button>
</form>
{{else}}
<form action="{{ verify }}" method="post" enctype="application/x-www-form-urlencoded"
  class="ecl-u-mt-m ecl-u-bg-grey-5 ecl-u-pa-m" id="myFormIdVerifyFromDocHash1">
  <div class="ecl-form-group ecl-form-group--text-input">
    <label class="ecl-form-label" for="title-3">Use document hash</label>
    <input type="text" id="title-3" class="ecl-text-input ecl-text-input--m" required name="docHash" />
  </div>
  <button type="submit" class="ecl-button ecl-button--primary ecl-u-mt-m"
    onclick="addjwt('myFormIdVerifyFromDocHash1');">
    Submit
  </button>
</form>
<p class="ecl-u-type-paragraph ecl-u-mt-m">or</p>
<form action="{{ verifyfile }}" method="post" enctype="multipart/form-data"
  class="ecl-u-mt-m ecl-u-bg-grey-5 ecl-u-pa-m" id="myFormId2">
  <div class="ecl-form-group ecl-form-group--file-upload">
    <label class="ecl-form-label" for="sampleFile-2">Use document file</label>
    <input onchange="ValidateSize(this)" type="file" name="sampleFile" id="sampleFile-2" class="ecl-file-upload" />
  </div>
  <button type="submit" class="ecl-button ecl-button--primary ecl-u-mt-m" onclick="addjwt('myFormId2');">
    Submit
  </button>
</form>
{{/if}}
<hr />
<footer>
  <p style="text-align: right;">EBSI {{ title }} {{ version }}</p>
</footer>
